package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag760;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT760Creator;

/**
 * @author wuzhe
 * @date 2023/2/24
 */
public class TagB45LCreator extends AbsTagCreate {

     private MT760Creator mt760Creator;

    public TagB45LCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt760Creator = (MT760Creator) absMTCreator;
    }

    public  void creator()
    {
        String tagB45LValue = mt760Creator.getUnderlyingTransactionDetailsOfB();
        mt760Creator.set("45L", tagB45LValue);
    }
}
